function disableEquipment()
  data.raw["technology"]["basic-mining"].effects =
  {
    
    {
      type = "unlock-recipe",
      recipe = "wooden-chest"
    },
    {
      type = "unlock-recipe",
      recipe = "automation-science-pack"
    },
    {
      type = "unlock-recipe",
      recipe = "iron-gear-wheel"
    },
    {
      type = "unlock-recipe",
      recipe = "stone-furnace"
    },
    {
      type = "unlock-recipe",
      recipe = "iron-plate"
    },
    {
      type = "unlock-recipe",
      recipe = "copper-plate"
    }
  }

end

function extendVanilla()
  if data.raw["resource"]["iron-ore"] then
    data.raw["resource"]["iron-ore"].minable.required_fluid = "water"
    data.raw["resource"]["iron-ore"].minable.fluid_amount = 10
  end

  if data.raw["resource"]["copper-ore"] then
    data.raw["resource"]["copper-ore"].minable.required_fluid = "steam"
    data.raw["resource"]["copper-ore"].minable.fluid_amount = 10
  end

  if data.raw["resource"]["stone"] then
    data.raw["resource"]["stone"].minable.required_fluid = "steam"
    data.raw["resource"]["stone"].minable.fluid_amount = 10
  end

  if data.raw["resource"]["coal"] then
    data.raw["resource"]["coal"].minable.required_fluid = "water"
    data.raw["resource"]["coal"].minable.fluid_amount = 10
  end
end

function extendBobs()
  if data.raw["resource"]["zinc-ore"] then
    data.raw["resource"]["zinc-ore"].minable.required_fluid = "water"
    data.raw["resource"]["zinc-ore"].minable.fluid_amount = 10
  end

  if data.raw["resource"]["tungsten-ore"] then
    data.raw["resource"]["tungsten-ore"].minable.required_fluid = "water"
    data.raw["resource"]["tungsten-ore"].minable.fluid_amount = 10
  end


  if data.raw["resource"]["tin-ore"] then
    data.raw["resource"]["tin-ore"].minable.required_fluid = "water"
    data.raw["resource"]["tin-ore"].minable.fluid_amount = 10
  end


  if data.raw["resource"]["sulfur"] then
    data.raw["resource"]["sulfur"].minable.required_fluid = "steam"
    data.raw["resource"]["sulfur"].minable.fluid_amount = 10
  end


  if data.raw["resource"]["sort-gem-ore"] then
    data.raw["resource"]["sort-gem-ore"].minable.required_fluid = "water"
    data.raw["resource"]["sort-gem-ore"].minable.fluid_amount = 10
  end


  if data.raw["resource"]["silver-ore"] then
    data.raw["resource"]["silver-ore"].minable.required_fluid = "steam"
    data.raw["resource"]["silver-ore"].minable.fluid_amount = 10
  end


  if data.raw["resource"]["rutile"] then
    data.raw["resource"]["rutile"].minable.required_fluid = "water"
    data.raw["resource"]["rutile"].minable.fluid_amount = 10
  end


  if data.raw["resource"]["quartz"] then
    data.raw["resource"]["quartz"].minable.required_fluid = "water"
    data.raw["resource"]["quartz"].minable.fluid_amount = 10
  end


  if data.raw["resource"]["nickel-ore"] then
    data.raw["resource"]["nickel-ore"].minable.required_fluid = "steam"
    data.raw["resource"]["nickel-ore"].minable.fluid_amount = 10
  end


  if data.raw["resource"]["lead-ore"] then
    data.raw["resource"]["lead-ore"].minable.required_fluid = "water"
    data.raw["resource"]["lead-ore"].minable.fluid_amount = 10
  end


  if data.raw["resource"]["gold-ore"] then
    data.raw["resource"]["gold-ore"].minable.required_fluid = "steam"
    data.raw["resource"]["gold-ore"].minable.fluid_amount = 10
  end


  if data.raw["resource"]["gem-ore"] then
    data.raw["resource"]["gem-ore"].minable.required_fluid = "steam"
    data.raw["resource"]["gem-ore"].minable.fluid_amount = 10
  end



  if data.raw["resource"]["cobalt-ore"] then
    data.raw["resource"]["cobalt-ore"].minable.required_fluid = "water"
    data.raw["resource"]["cobalt-ore"].minable.fluid_amount = 10
  end

  if data.raw["resource"]["bauxite"] then
    data.raw["resource"]["bauxite"].minable.required_fluid = "water"
    data.raw["resource"]["bauxite"].minable.fluid_amount = 10
  end
end

function extendAngles()
  if data.raw["resource"]["angels-ore1"] then
    data.raw["resource"]["angels-ore1"].minable.required_fluid = "water"
    data.raw["resource"]["angels-ore1"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["angels-ore2"] then
    data.raw["resource"]["angels-ore2"].minable.required_fluid = "water"
    data.raw["resource"]["angels-ore2"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["angels-ore3"] then
    data.raw["resource"]["angels-ore3"].minable.required_fluid = "steam"
    data.raw["resource"]["angels-ore3"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["angels-ore4"] then
    data.raw["resource"]["angels-ore4"].minable.required_fluid = "steam"
    data.raw["resource"]["angels-ore4"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["angels-ore5"] then
    data.raw["resource"]["angels-ore5"].minable.required_fluid = "steam"
    data.raw["resource"]["angels-ore5"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["angels-ore6"] then
    data.raw["resource"]["angels-ore6"].minable.required_fluid = "steam"
    data.raw["resource"]["angels-ore6"].minable.fluid_amount = 10
  end
end

function extendMadClown()
  if data.raw["resource"]["clowns-ore1"] then
    data.raw["resource"]["clowns-ore1"].minable.required_fluid = "steam"
    data.raw["resource"]["clowns-ore1"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["clowns-ore2"] then
    data.raw["resource"]["clowns-ore2"].minable.required_fluid = "steam"
    data.raw["resource"]["clowns-ore2"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["clowns-ore3"] then
    data.raw["resource"]["clowns-ore3"].minable.required_fluid = "steam"
    data.raw["resource"]["clowns-ore3"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["clowns-ore4"] then
    data.raw["resource"]["clowns-ore4"].minable.required_fluid = "steam"
    data.raw["resource"]["clowns-ore4"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["clowns-ore5"] then
    data.raw["resource"]["clowns-ore5"].minable.required_fluid = "steam"
    data.raw["resource"]["clowns-ore5"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["clowns-ore6"] then
    data.raw["resource"]["clowns-ore6"].minable.required_fluid = "steam"
    data.raw["resource"]["clowns-ore6"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["clowns-ore7"] then
    data.raw["resource"]["clowns-ore7"].minable.required_fluid = "steam"
    data.raw["resource"]["clowns-ore7"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["clowns-ore8"] then
    data.raw["resource"]["clowns-ore8"].minable.required_fluid = "steam"
    data.raw["resource"]["clowns-ore8"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["clowns-ore9"] then
    data.raw["resource"]["clowns-ore9"].minable.required_fluid = "steam"
    data.raw["resource"]["clowns-ore9"].minable.fluid_amount = 10
  end
end

function extendhardcrafting()
  if data.raw["resource"]["rich-copper-ore"] then
    data.raw["resource"]["rich-copper-ore"].minable.required_fluid = "steam"
    data.raw["resource"]["rich-copper-ore"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["rich-iron-ore"] then
    data.raw["resource"]["rich-iron-ore"].minable.required_fluid = "water"
    data.raw["resource"]["rich-iron-ore"].minable.fluid_amount = 10
  end
end

function extendYuoki()
  if data.raw["resource"]["y-res1"] then
    data.raw["resource"]["y-res1"].minable.required_fluid = "water"
    data.raw["resource"]["y-res1"].minable.fluid_amount = 10
  end
  if data.raw["resource"]["y-res2"] then
    data.raw["resource"]["y-res2"].minable.required_fluid = "steam"
    data.raw["resource"]["y-res2"].minable.fluid_amount = 10
  end
end

function extendpyhightech()
  if data.raw["resource"]["phosphate-rock"] then
    data.raw["resource"]["phosphate-rock"].minable.required_fluid = "water"
    data.raw["resource"]["phosphate-rock"].minable.fluid_amount = 10
  end
end

disableEquipment()
extendVanilla()
extendBobs()
extendAngles()
extendMadClown()
extendhardcrafting()
extendYuoki()
extendpyhightech()