data:extend({
  {
    type = "item",
    name = "fluid-mining-drill",
    icon = "__base__/graphics/icons/burner-mining-drill.png",
    icon_size = 32,
    subgroup = "extraction-machine",
    order = "a[items]-a[fluid-mining-drill]",
    place_result = "fluid-mining-drill",
    stack_size = 50
  },

  {
    type = "recipe",
    name = "fluid-mining-drill",
    energy_required = 1,
    ingredients =
    {
      {"burner-mining-drill", 1},
      {"pipe", 2},
    },
    result = "fluid-mining-drill"
  },

  util.merge {data.raw["mining-drill"]["burner-mining-drill"],
    {
      name = "fluid-mining-drill",
      icon = "__base__/graphics/icons/burner-mining-drill.png",
      icon_size = 32,
      minable = {mining_time = 0.3, result = "fluid-mining-drill"},
    }
  },
})


data.raw["mining-drill"]["fluid-mining-drill"].input_fluid_box =
    {
      production_type = "input-output",
      pipe_picture = assembler2pipepictures(),
      pipe_covers = pipecoverspictures(),
      base_area = 1,
      height = 2,
      base_level = -1,
      pipe_connections =
      {
        { position = {-1.5, 0} },
        { position = {1.5, 0} },
        { position = {0, 1.5} }
      }
    }

-- data.raw["mining-drill"]["fluid-mining-drill"].resource_searching_radius = 1.99
-- data.raw["mining-drill"]["fluid-mining-drill"].radius_visualisation_picture = { filename = "__base__/graphics/entity/electric-mining-drill/electric-mining-drill-radius-visualization.png", width = 10, height = 10 }
-- data.raw["mining-drill"]["fluid-mining-drill"].energy_source =
--   {
--     type = "burner",
--     fuel_category = "chemical",
--     effectivity = 1,
--     fuel_inventory_size = 1,
--     emissions_per_minute = 12,
--     smoke =
--     {
--       {
--         name = "smoke",
--         deviation = {0.1, 0.1},
--         frequency = 3
--       }
--     }
--   }